## ceph 10.0.2

=== src/rocksdb/Makefile ===
# Copyright (c) 2011 The LevelDB Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

# Inherit some settings from environment variables, if available

#-----------------------------------------------

CLEAN_FILES = # deliberately empty, so we can append below.
CFLAGS += ${EXTRA_CFLAGS}
CXXFLAGS += ${EXTRA_CXXFLAGS}
LDFLAGS += $(EXTRA_LDFLAGS)
MACHINE ?= $(shell uname -m)
ARFLAGS = rs

# Transform parallel LOG output into something more readable.
perl_command = perl -n \
  -e '@a=split("\t",$$_,-1); $$t=$$a[8]; $$t =~ s,^\./,,;'		\
  -e '$$t =~ s, >.*,,; chomp $$t;'					\
  -e '$$t =~ /.*--gtest_filter=(.*?\.[\w\/]+)/ and $$t=$$1;'		\
  -e 'printf "%7.3f %s %s\n", $$a[3], $$a[6] == 0 ? "PASS" : "FAIL", $$t'
quoted_perl_command = $(subst ','\'',$(perl_command))

# DEBUG_LEVEL can have three values:
# * DEBUG_LEVEL=2; this is the ultimate debug mode. It will compile rocksdb
# without any optimizations. To compile with level 2, issue `make dbg`
# * DEBUG_LEVEL=1; debug level 1 enables all assertions and debug code, but
# compiles rocksdb with -O2 optimizations. this is the default debug level.
# `make all` or `make <binary_target>` compile RocksDB with debug level 1.
# We use this debug level when developing RocksDB.
# * DEBUG_LEVEL=0; this is the debug level we use for release. If you're
# running rocksdb in production you most definitely want to compile RocksDB
# with debug level 0. To compile with level 0, run `make shared_lib`,
# `make install-shared`, `make static_lib`, `make install-static` or
# `make install`
DEBUG_LEVEL=1

ifeq ($(MAKECMDGOALS),dbg)
	DEBUG_LEVEL=2
endif

ifeq ($(MAKECMDGOALS),shared_lib)
	DEBUG_LEVEL=0
endif

ifeq ($(MAKECMDGOALS),install-shared)
	DEBUG_LEVEL=0
endif

ifeq ($(MAKECMDGOALS),static_lib)
	DEBUG_LEVEL=0
endif

ifeq ($(MAKECMDGOALS),install-static)
	DEBUG_LEVEL=0
endif

ifeq ($(MAKECMDGOALS),install)
	DEBUG_LEVEL=0
endif

ifeq ($(MAKECMDGOALS),rocksdbjavastatic)
	DEBUG_LEVEL=0
endif

# compile with -O2 if debug level is not 2
ifneq ($(DEBUG_LEVEL), 2)
OPT += -O2 -fno-omit-frame-pointer
ifneq ($(MACHINE),ppc64) # ppc64 doesn't support -momit-leaf-frame-pointer
OPT += -momit-leaf-frame-pointer
endif
endif

# if we're compiling for release, compile without debug code (-DNDEBUG) and
# don't treat warnings as errors
ifeq ($(DEBUG_LEVEL),0)
OPT += -DNDEBUG
DISABLE_WARNING_AS_ERROR=1
endif

#-----------------------------------------------
include src.mk

AM_DEFAULT_VERBOSITY = 0

AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 =

AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 =
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 =
AM_V_AR = $(am__v_AR_$(V))
am__v_AR_ = $(am__v_AR_$(AM_DEFAULT_VERBOSITY))
am__v_AR_0 = @echo "  AR      " $@;
am__v_AR_1 =

AM_LINK = $(AM_V_CCLD)$(CXX) $^ $(EXEC_LDFLAGS) -o $@ $(LDFLAGS) $(COVERAGEFLAGS)

# detect what platform we're building on
dummy := $(shell (export ROCKSDB_ROOT="$(CURDIR)"; "$(CURDIR)/build_tools/build_detect_platform" "$(CURDIR)/make_config.mk"))
# this file is generated by the previous line to set build flags and sources
include make_config.mk
CLEAN_FILES += make_config.mk

ifneq ($(PLATFORM), IOS)
CFLAGS += -g
CXXFLAGS += -g
else
# no debug info for IOS, that will make our library big
OPT += -DNDEBUG
endif

ifneq ($(filter -DROCKSDB_LITE,$(OPT)),)
	# found
	CFLAGS += -fno-exceptions
	CXXFLAGS += -fno-exceptions
endif

# ASAN doesn't work well with jemalloc. If we're compiling with ASAN, we should use regular malloc.
ifdef COMPILE_WITH_ASAN
	DISABLE_JEMALLOC=1
	EXEC_LDFLAGS += -fsanitize=address
	PLATFORM_CCFLAGS += -fsanitize=address
	PLATFORM_CXXFLAGS += -fsanitize=address
endif

# TSAN doesn't work well with jemalloc. If we're compiling with TSAN, we should use regular malloc.
ifdef COMPILE_WITH_TSAN
	DISABLE_JEMALLOC=1
	EXEC_LDFLAGS += -fsanitize=thread -pie
	PLATFORM_CCFLAGS += -fsanitize=thread -fPIC -DROCKSDB_TSAN_RUN
	PLATFORM_CXXFLAGS += -fsanitize=thread -fPIC -DROCKSDB_TSAN_RUN
        # Turn off -pg when enabling TSAN testing, because that induces
        # a link failure.  TODO: find the root cause
	pg =
else
	pg = -pg
endif

ifndef DISABLE_JEMALLOC
	EXEC_LDFLAGS := $(JEMALLOC_LIB) $(EXEC_LDFLAGS)
	PLATFORM_CXXFLAGS += $(JEMALLOC_INCLUDE)
	PLATFORM_CCFLAGS += $(JEMALLOC_INCLUDE)
endif

export GTEST_THROW_ON_FAILURE=1 GTEST_HAS_EXCEPTIONS=1
GTEST_DIR = ./third-party/gtest-1.7.0/fused-src
PLATFORM_CCFLAGS += -isystem $(GTEST_DIR)
PLATFORM_CXXFLAGS += -isystem $(GTEST_DIR)

# This (the first rule) must depend on "all".
default: all

WARNING_FLAGS = -W -Wextra -Wall -Wsign-compare -Wshadow \
  -Wno-unused-parameter

ifndef DISABLE_WARNING_AS_ERROR
	WARNING_FLAGS += -Werror
endif

CFLAGS += $(WARNING_FLAGS) -I. -I./include $(PLATFORM_CCFLAGS) $(OPT)
CXXFLAGS += $(WARNING_FLAGS) -I. -I./include $(PLATFORM_CXXFLAGS) $(OPT) -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers

LDFLAGS += $(PLATFORM_LDFLAGS)

date := $(shell date +%F)
ifdef FORCE_GIT_SHA
	git_sha := $(FORCE_GIT_SHA)
else
	git_sha := $(shell git rev-parse HEAD 2>/dev/null)
endif
gen_build_version =							\
  printf '%s\n'								\
    '\#include "build_version.h"'					\
    'const char* rocksdb_build_git_sha =				\
      "rocksdb_build_git_sha:$(git_sha)";'			\
    'const char* rocksdb_build_git_date =				\
      "rocksdb_build_git_date:$(date)";'				\
    'const char* rocksdb_build_compile_date = __DATE__;'

# Record the version of the source that we are compiling.
# We keep a record of the git revision in this file.  It is then built
# as a regular source file as part of the compilation process.
# One can run "strings executable_filename | grep _build_" to find
# the version of the source that we used to build the executable file.
CLEAN_FILES += util/build_version.cc:
FORCE:
util/build_version.cc: FORCE
	$(AM_V_GEN)rm -f $@-t
	$(AM_V_at)$(gen_build_version) > $@-t
	$(AM_V_at)if test -f $@; then					\
	  cmp -s $@-t $@ && rm -f $@-t || mv -f $@-t $@;		\
	else mv -f $@-t $@; fi

LIBOBJECTS = $(LIB_SOURCES:.cc=.o)
LIBOBJECTS += $(TOOL_SOURCES:.cc=.o)
MOCKOBJECTS = $(MOCK_SOURCES:.cc=.o)

GTEST = $(GTEST_DIR)/gtest/gtest-all.o
TESTUTIL = ./util/testutil.o
TESTHARNESS = ./util/testharness.o $(TESTUTIL) $(MOCKOBJECTS) $(GTEST)
VALGRIND_ERROR = 2
VALGRIND_VER := $(join $(VALGRIND_VER),valgrind)

VALGRIND_OPTS = --error-exitcode=$(VALGRIND_ERROR) --leak-check=full

TESTS = \
	db_test \
	db_iter_test \
	db_log_iter_test \
	db_compaction_filter_test \
	db_compaction_test \
	db_dynamic_level_test \
	db_inplace_update_test \
	db_tailing_iter_test \
	db_universal_compaction_test \
	db_wal_test \
	block_hash_index_test \
	autovector_test \
	column_family_test \
	table_properties_collector_test \
	arena_test \
	auto_roll_logger_test \
	block_test \
	bloom_test \
	dynamic_bloom_test \
	c_test \
	cache_test \
	checkpoint_test \
	coding_test \
	corruption_test \
	crc32c_test \
	slice_transform_test \
	dbformat_test \
	env_test \
	fault_injection_test \
	filelock_test \
	filename_test \
	file_reader_writer_test \
	block_based_filter_block_test \
	full_filter_block_test \
	histogram_test \
	log_test \
	manual_compaction_test \
	memenv_test \
	mock_env_test \
	memtable_list_test \
	merge_helper_test \
	merge_test \
	merger_test \
	redis_test \
	reduce_levels_test \
	plain_table_db_test \
	comparator_db_test \
	prefix_test \
	skiplist_test \
	stringappend_test \
	ttl_test \
	backupable_db_test \
	document_db_test \
	json_document_test \
	spatial_db_test \
	version_edit_test \
	version_set_test \
	compaction_picker_test \
	version_builder_test \
	file_indexer_test \
	write_batch_test \
	write_batch_with_index_test \
	write_controller_test\
	deletefile_test \
	table_test \
	thread_local_test \
	geodb_test \
	rate_limiter_test \
	delete_scheduler_test \
	options_test \
	event_logger_test \
	cuckoo_table_builder_test \
	cuckoo_table_reader_test \
	cuckoo_table_db_test \
	flush_job_test \
	wal_manager_test \
	listener_test \
	compaction_iterator_test \
	compaction_job_test \
	thread_list_test \
	sst_dump_test \
	compact_files_test \
	perf_context_test \
	optimistic_transaction_test \
	write_callback_test \
	heap_test \
	compact_on_deletion_collector_test \
	compaction_job_stats_test \
	transaction_test \
	ldb_cmd_test

SUBSET :=  $(shell echo $(TESTS) |sed s/^.*$(ROCKSDBTESTS_START)/$(ROCKSDBTESTS_START)/)

TOOLS = \
	sst_dump \
	db_sanity_test \
	db_stress \
	ldb \
	db_repl_stress \
	rocksdb_dump \
	rocksdb_undump

BENCHMARKS = db_bench table_reader_bench cache_bench memtablerep_bench

# The library name is configurable since we are maintaining libraries of both
# debug/release mode.
ifeq ($(LIBNAME),)
        LIBNAME=librocksdb
endif
LIBRARY = ${LIBNAME}.a

ROCKSDB_MAJOR = $(shell egrep "ROCKSDB_MAJOR.[0-9]" include/rocksdb/version.h | cut -d ' ' -f 3)
ROCKSDB_MINOR = $(shell egrep "ROCKSDB_MINOR.[0-9]" include/rocksdb/version.h | cut -d ' ' -f 3)
ROCKSDB_PATCH = $(shell egrep "ROCKSDB_PATCH.[0-9]" include/rocksdb/version.h | cut -d ' ' -f 3)

default: all

#-----------------------------------------------
# Create platform independent shared libraries.
#-----------------------------------------------
ifneq ($(PLATFORM_SHARED_EXT),)

ifneq ($(PLATFORM_SHARED_VERSIONED),true)
SHARED1 = ${LIBNAME}.$(PLATFORM_SHARED_EXT)
SHARED2 = $(SHARED1)
SHARED3 = $(SHARED1)
SHARED4 = $(SHARED1)
SHARED = $(SHARED1)
else
SHARED_MAJOR = $(ROCKSDB_MAJOR)
SHARED_MINOR = $(ROCKSDB_MINOR)
SHARED_PATCH = $(ROCKSDB_PATCH)
SHARED1 = ${LIBNAME}.$(PLATFORM_SHARED_EXT)
ifeq ($(PLATFORM), OS_MACOSX)
SHARED_OSX = $(LIBNAME).$(SHARED_MAJOR)
SHARED2 = $(SHARED_OSX).$(PLATFORM_SHARED_EXT)
SHARED3 = $(SHARED_OSX).$(SHARED_MINOR).$(PLATFORM_SHARED_EXT)
SHARED4 = $(SHARED_OSX).$(SHARED_MINOR).$(SHARED_PATCH).$(PLATFORM_SHARED_EXT)
else
SHARED2 = $(SHARED1).$(SHARED_MAJOR)
SHARED3 = $(SHARED1).$(SHARED_MAJOR).$(SHARED_MINOR)
SHARED4 = $(SHARED1).$(SHARED_MAJOR).$(SHARED_MINOR).$(SHARED_PATCH)
endif
SHARED = $(SHARED1) $(SHARED2) $(SHARED3) $(SHARED4)
$(SHARED1): $(SHARED4)
	ln -fs $(SHARED4) $(SHARED1)
$(SHARED2): $(SHARED4)
	ln -fs $(SHARED4) $(SHARED2)
$(SHARED3): $(SHARED4)
	ln -fs $(SHARED4) $(SHARED3)
endif

$(SHARED4):
	$(CXX) $(PLATFORM_SHARED_LDFLAGS)$(SHARED3) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(LIB_SOURCES) \
		$(LDFLAGS) -o $@

endif  # PLATFORM_SHARED_EXT

.PHONY: blackbox_crash_test check clean coverage crash_test ldb_tests package \
	release tags valgrind_check whitebox_crash_test format static_lib shared_lib all \
	dbg rocksdbjavastatic rocksdbjava install install-static install-shared uninstall \
	analyze tools


all: $(LIBRARY) $(BENCHMARKS) tools $(TESTS)

static_lib: $(LIBRARY)

shared_lib: $(SHARED)

tools: $(TOOLS)

dbg: $(LIBRARY) $(BENCHMARKS) tools $(TESTS)

# creates static library and programs
release:
	$(MAKE) clean
	OPT="-DNDEBUG -O2" $(MAKE) static_lib tools db_bench

coverage:
	$(MAKE) clean
	COVERAGEFLAGS="-fprofile-arcs -ftest-coverage" LDFLAGS+="-lgcov" $(MAKE) J=1 all check
	cd coverage && ./coverage_test.sh
        # Delete intermediate files
	find . -type f -regex ".*\.\(\(gcda\)\|\(gcno\)\)" -exec rm {} \;

# Extract the names of its tests by running db_test with --gtest_list_tests.
# This filter removes the "#"-introduced comments, and expands to
# fully-qualified names by changing input like this:
#
#   DBTest.
#     Empty
#     WriteEmptyBatch
#   MultiThreaded/MultiThreadedDBTest.
#     MultiThreaded/0  # GetParam() = 0
#     MultiThreaded/1  # GetParam() = 1
#
# into this:
#

## ceph 10.1.2

=== src/rocksdb/Makefile ===
--- 
+++ 
@@ -33,12 +33,22 @@
 # with debug level 0. To compile with level 0, run `make shared_lib`,
 # `make install-shared`, `make static_lib`, `make install-static` or
 # `make install`
-DEBUG_LEVEL=1
+
+# Set the default DEBUG_LEVEL to 1
+DEBUG_LEVEL?=1
 
 ifeq ($(MAKECMDGOALS),dbg)
 	DEBUG_LEVEL=2
 endif
 
+ifeq ($(MAKECMDGOALS),clean)
+	DEBUG_LEVEL=0
+endif
+
+ifeq ($(MAKECMDGOALS),release)
+	DEBUG_LEVEL=0
+endif
+
 ifeq ($(MAKECMDGOALS),shared_lib)
 	DEBUG_LEVEL=0
 endif
@@ -60,6 +70,14 @@
 endif
 
 ifeq ($(MAKECMDGOALS),rocksdbjavastatic)
+	DEBUG_LEVEL=0
+endif
+
+ifeq ($(MAKECMDGOALS),rocksdbjavastaticrelease)
+	DEBUG_LEVEL=0
+endif
+
+ifeq ($(MAKECMDGOALS),rocksdbjavastaticpublish)
 	DEBUG_LEVEL=0
 endif
 
@@ -76,6 +94,8 @@
 ifeq ($(DEBUG_LEVEL),0)
 OPT += -DNDEBUG
 DISABLE_WARNING_AS_ERROR=1
+else
+$(warning Warning: Compiling in debug mode. Don't use the resulting binary in production)
 endif
 
 #-----------------------------------------------
@@ -228,6 +248,7 @@
 	db_tailing_iter_test \
 	db_universal_compaction_test \
 	db_wal_test \
+	db_table_properties_test \
 	block_hash_index_test \
 	autovector_test \
 	column_family_test \
@@ -253,14 +274,17 @@
 	block_based_filter_block_test \
 	full_filter_block_test \
 	histogram_test \
+	inlineskiplist_test \
 	log_test \
 	manual_compaction_test \
 	memenv_test \
 	mock_env_test \
 	memtable_list_test \
 	merge_helper_test \
+	memory_test \
 	merge_test \
 	merger_test \
+	options_file_test \
 	redis_test \
 	reduce_levels_test \
 	plain_table_db_test \
@@ -288,6 +312,7 @@
 	rate_limiter_test \
 	delete_scheduler_test \
 	options_test \
+	options_util_test \
 	event_logger_test \
 	cuckoo_table_builder_test \
 	cuckoo_table_reader_test \
@@ -315,17 +340,23 @@
 	sst_dump \
 	db_sanity_test \
 	db_stress \
+	write_stress \
 	ldb \
 	db_repl_stress \
 	rocksdb_dump \
 	rocksdb_undump
 
+# TODO: add back forward_iterator_bench, after making it build in all environemnts.
 BENCHMARKS = db_bench table_reader_bench cache_bench memtablerep_bench
 
-# The library name is configurable since we are maintaining libraries of both
-# debug/release mode.
+# if user didn't config LIBNAME, set the default
 ifeq ($(LIBNAME),)
+# we should only run rocksdb in production with DEBUG_LEVEL 0
+ifeq ($(DEBUG_LEVEL),0)
         LIBNAME=librocksdb
+else
+        LIBNAME=librocksdb_debug
+endif
 endif
 LIBRARY = ${LIBNAME}.a
 
@@ -371,7 +402,7 @@
 endif
 
 $(SHARED4):
-	$(CXX) $(PLATFORM_SHARED_LDFLAGS)$(SHARED3) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(LIB_SOURCES) \
+	$(CXX) $(PLATFORM_SHARED_LDFLAGS)$(SHARED3) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(LIB_SOURCES) $(TOOL_SOURCES) \
 		$(LDFLAGS) -o $@
 
 endif  # PLATFORM_SHARED_EXT
@@ -395,25 +426,3 @@
 # creates static library and programs
 release:
 	$(MAKE) clean
-	OPT="-DNDEBUG -O2" $(MAKE) static_lib tools db_bench
-
-coverage:
-	$(MAKE) clean
-	COVERAGEFLAGS="-fprofile-arcs -ftest-coverage" LDFLAGS+="-lgcov" $(MAKE) J=1 all check
-	cd coverage && ./coverage_test.sh
-        # Delete intermediate files
-	find . -type f -regex ".*\.\(\(gcda\)\|\(gcno\)\)" -exec rm {} \;
-
-# Extract the names of its tests by running db_test with --gtest_list_tests.
-# This filter removes the "#"-introduced comments, and expands to
-# fully-qualified names by changing input like this:
-#
-#   DBTest.
-#     Empty
-#     WriteEmptyBatch
-#   MultiThreaded/MultiThreadedDBTest.
-#     MultiThreaded/0  # GetParam() = 0
-#     MultiThreaded/1  # GetParam() = 1
-#
-# into this:
-#

=== src/spdk/lib/util/Makefile ===
#
#  BSD LICENSE
#
#  Copyright (c) Intel Corporation.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

SPDK_ROOT_DIR := $(CURDIR)/../..
include $(SPDK_ROOT_DIR)/mk/spdk.common.mk

CFLAGS += $(DPDK_INC)

C_SRCS = file.c string.c pci.c

LIB = libspdk_util.a

all : $(LIB)

clean :
	$(CLEAN_C)

$(LIB) : $(OBJS)
	$(LIB_C)

include $(SPDK_ROOT_DIR)/mk/spdk.deps.mk

=== debian/changelog ===
ceph (10.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for Ceph Jewel:
    - FFe: http://pad.lv/1563714.
    - d/p/32bit-compat.patch,tasksmax-infinity.patch: Dropped,
      included upstream.
  * d/ceph-common.postinst: Silence output of usermod call (LP: #1569249).

 -- James Page <james.page@ubuntu.com>  Thu, 14 Apr 2016 14:46:58 +0100

ceph (10.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for Ceph Jewel:
    - FFe: http://pad.lv/1563714.
    - d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Apr 2016 16:30:43 +0100

ceph (10.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for Ceph Jewel
    (see http://pad.lv/1563714 for FFe):
    - d/control,rules,librgw*: Add new binary packages for librgw2.
    - d/p/fix-systemd-escaping.patch,pybind-flags.patch: Dropped,
      included upstream.
    - d/p/*: Refresh remaining patches.
    - d/control: Add BD on libldap2-dev for rados gateway.
    - d/p/disable-openssl-linking.patch: Disable build time linking
      with OpenSSL due to licensing incompatibilities.
    - d/*.symbols: Add new symbols for RC.
    - d/python-*.install: Correct wildcards for python module install.
    - d/p/32bit-compat.patch: Cherry pick upstream fix for 32 bit
      compatibility, resolving FTBFS on armhf/i386.
  * d/rules: Strip rbd-mirror package correctly.
  * d/rules: Install upstart and systemd configurations for rbd-mirror.
  * d/copyright: Ensure that jerasure and gf-complete are not stripped
    from the upstream release tarball.
  * d/p/drop-user-group-osd-prestart.patch: Drop --setuser/--setgroup
    arguments from call to ceph-osd-prestart.sh; they are not supported
    and generate spurious non-fatal warning messages (LP: #1557461).
  * d/p/tasksmax-infinity.patch: Drop systemd limitation of number of
    processes and threads to long running ceph processes; the default
    of 512 tasks is way to low for even a modest Ceph cluster
    (LP: #1564917).
  * d/rules: Ensure that dh_systemd_start does not insert maintainer
    script snippets for ceph-mon and ceph-create-keys - service restart
    should be handled outside of the packaging as it is under upstart
    and for all other systemd unit files installed (LP: #1563330).

 -- James Page <james.page@ubuntu.com>  Wed, 06 Apr 2016 09:17:59 +0100

ceph (10.0.5-0ubuntu1) xenial; urgency=medium

  * New upstream point release, in preparation for Ceph Jewel.
    - d/p/*: Refresh patches
    - d/control: Enable rbd-mirror(-dbg) packages.
    - d/control: Add BD on libboost-iostreams-dev.
    - d/p/skip-setup.py-makefiles.patch,rules: Avoid use of virtualenv
      to install ceph-disk and ceph-detect-init python modules.

 -- James Page <james.page@ubuntu.com>  Wed, 23 Mar 2016 14:07:58 +0000

ceph (10.0.3-0ubuntu1) xenial; urgency=medium

  * New upstream point release, in preparation for Ceph Jewel.
    - d/p/*: Refresh patches
    - d/rules,d/p/rocksdb-flags.patch: Enable rocksdb build for
      experimental bluestore support, add patch to set g++ flags
      correctly across all Ubuntu archs.
    - d/rules: Enable gperftools use on arm64 architecture.
    - d/ceph.install: Add ceph-bluefs-tool to install.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 10:41:37 +0000

ceph (10.0.2-0ubuntu1) xenial; urgency=medium

  * New upstream release, in preparation for Ceph Jewel stable release:
    - d/control: Add python-dev to BD's.
    - d/p/pybind-flags.patch: Ensure that python flags are correct
      set for cython rbd build.
    - d/python-rbd.install: Switch rbd python binding to cython.
    - d/p/modules.patch: Dropped, no longer required as upstream.
    - d/control,rbd-nbd.*,rules: Add rbd-nbd package.
    - d/p/*: Tidy old redundant patches.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Feb 2016 08:07:30 +0000

ceph (9.2.0-0ubuntu6) xenial; urgency=medium

  * d/ceph-mds.dirs: Actually create /var/lib/ceph/mds prior to changing
    permissions (LP: #1544647).
  * d/ceph.init: Restore link to init-ceph, resolving un-install failures
    due to missing init script (LP: #1546112).

 -- James Page <james.page@ubuntu.com>  Wed, 17 Feb 2016 10:33:24 +0000

ceph (9.2.0-0ubuntu5) xenial; urgency=medium

  [ guessi ]
  * d/ceph-mds.postinst: Fixup syntax error (LP: #1544647).

 -- James Page <james.page@ubuntu.com>  Tue, 16 Feb 2016 12:54:16 +0000

ceph (9.2.0-0ubuntu4) xenial; urgency=medium

  * d/p/fix-systemd-escaping.patch: Ensure that leading '/' is stripped
    from block device paths when escaping for use in systemd unit
    names.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Feb 2016 11:03:03 +0000

ceph (9.2.0-0ubuntu3) xenial; urgency=medium

  * d/ceph{-common}.install: Move ceph_daemon module to common package
    as its required to use the ceph command.
  * d/rules: Disable parallel builds on arm64, resolving FTBFS due to
    memory constraints in builders.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Jan 2016 10:00:47 +0200

ceph (9.2.0-0ubuntu2) xenial; urgency=medium

  * d/control: Fixup broken Breaks/Replaces for backports to 14.04.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Jan 2016 10:46:19 +0000

ceph (9.2.0-0ubuntu1) xenial; urgency=medium

  * [754935] Imported Upstream version 9.2.0
    - [df85c3] Resync relevant packaging changes with upstream.
    - [be5f82] Refresh patches.
    - [d1f3fe] Add python-setuptools to BD's for ceph-detect-init.
    - [b2f926] Add lsb-release to BD's to ensure that python modules are
               installed to correct locations.
    - [e4d702] Add python-sphinx to BD's to ensure man pages get generated
               and installed.
    - [3ead6e] Correct install location for ceph-monstore-update tool.
    - [269754] [177b7a] Update symbols for new release.
  * [6f322e5] Imported Upstream version 10.0.2
    - [ba06deb] Add python-dev to BD's.


=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           James Page <jamespage@debian.org>
Homepage: http://ceph.com/
Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
Build-Depends: cython,
               debhelper (>= 9~),
               default-jdk,
               dh-autoreconf,
               dh-python,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.16.1~),
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev,
               libboost-dev (>= 1.42),
               libboost-iostreams-dev (>= 1.42),
               libboost-program-options-dev (>= 1.42),
               libboost-random-dev,
               libboost-regex-dev,
               libboost-system-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 powerpc armhf arm64 ppc64el],
               libkeyutils-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               libldap2-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
               lsb-release,
               pkg-config,
               python-all (>= 2.6.6-3~),
               python-dev,
               python-nose,
               python-setuptools,
               python-sphinx,
               uuid-dev,
               uuid-runtime,
               valgrind [amd64 armhf i386 powerpc],
               xfslibs-dev,
               xfsprogs,
               yasm [amd64],
               zlib1g-dev
Build-Conflicts: libcrypto++-dev
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest

Package: ceph
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         gdisk,
         hdparm | sdparm,
         parted,
         python-flask,
         uuid-runtime,
         xfsprogs,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: ceph-common (<< 9.2.0-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph-common (<< 9.2.0-0ubuntu1~),
          ceph-test (<< 9.2.0-0ubuntu1~),
          python-ceph (<< 0.94.1-1~)
Recommends: libcephfs1,
            librados2,
            libradosstriper1,
            librbd1,
            ntp | time-daemon | chrony
Suggests: logrotate
Description: distributed storage and file system
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster, with the exception of the
 metadata server, which is necessary for using the distributed file system
 and is provided by the ceph-mds package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Replaces: ceph-test-dbg (<< 9.2.0-0ubuntu1~)
Breaks: ceph-test-dbg (<< 9.2.0-0ubuntu1~)
Description: debugging symbols for ceph
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: rbd-mirror
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}),
         librados2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ceph daemon for mirroring RBD images
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package provides a daemon for mirroring RBD images between
 Ceph clusters, streaming changes asynchronously.

Package: rbd-mirror-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-mirror (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-mirror
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the debugging symbols for rbd-mirror.

Package: rbd-nbd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NBD-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 NBD base client that allows one to map Ceph rbd images as local
 block device.

Package: rbd-nbd-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-nbd (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-nbd
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 This package contains the debugging symbols for rbd-nbd.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}),
         python-cephfs (= ${binary:Version}),
         python-rados (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
         python-requests,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Conflicts: ceph-client-tools
Breaks: ceph (<< 9.2.0-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        librbd1 (<< 0.94.1-1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph (<< 9.2.0-0ubuntu1~),
          ceph-client-tools,
          ceph-test (<< 9.2.0-0ubuntu1~),
          librbd1 (<< 0.94.1-1~),
          python-ceph (<< 0.94.1-1~)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-common-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Description: debugging symbols for ceph-common
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Breaks: ceph (<< 0.67.3-1)
Replaces: ceph (<< 0.67.3-1)
Description: metadata server for the ceph distributed file system
 Ceph is a distributed storage and network file system designed to
 provide excellent performance, reliability, and scalability.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mds
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-fuse
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ceph-common (<< 0.67.3-1)
Conflicts: ceph-client-tools
Replaces: ceph-client-tools, ceph-common (<< 0.67.3-1)
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-fs-common-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Description: debugging symbols for ceph-fs-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: all
Priority: extra
Recommends: pacemaker
Depends: ceph (>= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Conflicts: librados, librados1
Replaces: librados, librados1
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# Limit parallel builds to 2 for now

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export JAVA_HOME=/usr/lib/jvm/default-java
## Set JAVAC to prevent FTBFS due to incorrect use of 'gcj' if found (see "m4/ac_prog_javac.m4").
export JAVAC=javac

extraopts += --disable-silent-rules
extraopts += --with-ocf --with-nss
extraopts += --with-debug
extraopts += --enable-cephfs-java
extraopts += --with-babeltrace
## do not build with lttng just yet, see #765842.
extraopts += --without-lttng

# rocksdb is not packaged by anyone.  build it if we can.
extraopts += --with-librocksdb-static=check

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

# Only selected architectures support gperftools
gperftools_archs = i386 amd64 powerpc armhf ppc64el arm64
ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
  extraopts += --with-tcmalloc
else
  extraopts += --without-tcmalloc
endif

# Setup max parallel builds based on architecture
ifeq ($(DEB_HOST_ARCH), arm64)
  maxparallel=1
else
  maxparallel=2
endif

# Use system provided libs3
extraopts += --with-system-libs3

%:
	dh $@ --with javahelper,python2,autoreconf,systemd --parallel --max-parallel=$(maxparallel)

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

override_dh_auto_configure:
	dh_auto_configure -- $(extraopts)

override_dh_auto_build:
	dh_auto_build
	cp -v src/upstart/rbdmap.conf debian/ceph-common.rbdmap.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -fv debian/*.upstart

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	# NOTE: manually install python modules to avoid virtualenvs
	#       during the package build process.
	set -e; for comp in ceph-detect-init ceph-disk; do \
		(set -e; cd src/$$comp; python setup.py install --root=$(CURDIR)/debian/tmp \
			--install-script=/usr/sbin --install-layout=deb); \
	done
	# NOTE: ensure that any versioned erasure coding test code is dropped
	#       from the package install - package ships unversioned modules.
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code/libec_*.so.*
	find $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code -type l -delete || :
	install -D -m 644 src/etc-rbdmap $(CURDIR)/debian/tmp/etc/ceph/rbdmap

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit -pceph-common --no-start --name=rbdmap
	# Install upstart configurations using dh_installinit
	for conf in `ls -1 src/upstart/ceph*.conf | grep -v mds`; do \
        name=`basename $$conf | cut -d . -f 1`; \
        cp -v $$conf debian/ceph.$$name.upstart; \
        dh_installinit -pceph --no-start --name=$$name; \
    done
	for conf in `ls -1 src/upstart/ceph-mds*.conf`; do \
        name=`basename $$conf | cut -d . -f 1`; \
        cp -v $$conf debian/ceph-mds.$$name.upstart; \
        dh_installinit -pceph-mds --no-start --name=$$name; \
    done
	for conf in `ls -1 src/upstart/radosgw*.conf`; do \
        name=`basename $$conf | cut -d . -f 1`; \
        [ $$name = "radosgw" ] && name="radosgw-instance";\
        cp -v $$conf debian/radosgw.$$name.upstart; \
        dh_installinit -pradosgw --no-start --name=$$name; \
    done
	for conf in `ls -1 src/upstart/ceph-rbd-mirror*.conf`; do \
		name=`basename $$conf | cut -d . -f 1`; \
		cp -v $$conf debian/rbd-mirror.$$name.upstart; \
		dh_installinit -prbd-mirror --no-start --name=$$name; \
	done
	# install the systemd stuff manually since we have funny service names
	# and need to update the paths in all of the files post install
	# systemd:ceph-common
	install -d -m0755 debian/ceph-common/lib/systemd/system
	install -m0644 systemd/ceph.target debian/ceph-common/lib/systemd/system
	install -d -m0755 debian/ceph-common/etc/default/ceph
	install -m0644 etc/default/ceph debian/ceph-common/etc/default/ceph
	install -d -m0755 debian/ceph-common/usr/lib/tmpfiles.d
	install -m 0644 -D systemd/ceph.tmpfiles.d debian/ceph-common/usr/lib/tmpfiles.d/ceph.conf
	# systemd:ceph
	install -d -m0755 debian/ceph/lib/systemd/system
	install -m0644 systemd/ceph-mon@.service debian/ceph/lib/systemd/system
	install -m0644 systemd/ceph-create-keys@.service debian/ceph/lib/systemd/system
	install -m0644 systemd/ceph-osd@.service debian/ceph/lib/systemd/system
	install -m0644 systemd/ceph-disk@.service debian/ceph/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph/lib/systemd/system/ceph-mon@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph/lib/systemd/system/ceph-create-keys@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph/lib/systemd/system/ceph-osd@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph/lib/systemd/system/ceph-disk@.service
	# NOTE(jamespage): Install previous ceph-mon/create-keys service from packaging for upgrades
	install -m0644 debian/lib-systemd/system/ceph-mon.service debian/ceph/lib/systemd/system
	install -m0644 debian/lib-systemd/system/ceph-create-keys.service debian/ceph/lib/systemd/system
	# systemd:ceph-mds
	install -d -m0755 debian/ceph-mds/lib/systemd/system
	install -m0644 systemd/ceph-mds@.service debian/ceph-mds/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mds/lib/systemd/system/ceph-mds@.service
	# NOTE(jamespage): Install previous ceph-mds service from packaging for upgrades
	install -m0644 debian/lib-systemd/system/ceph-mds.service debian/ceph-mds/lib/systemd/system
	# systemd:radosgw
	install -d -m0755 debian/radosgw/lib/systemd/system
	install -m0644 systemd/ceph-radosgw@.service debian/radosgw/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/radosgw/lib/systemd/system/ceph-radosgw@.service
	# systemd:rbd-mirror
	install -d -m0755 debian/rbd-mirror/lib/systemd/system
	install -m0644 systemd/ceph-rbd-mirror@.service debian/rbd-mirror/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/rbd-mirror/lib/systemd/system/ceph-rbd-mirror@.service

override_dh_systemd_enable:
	## Do not enable services to match `dh_installinit --no-start`
	## behaviour.
	## Users are expected to "systemctl enable" services once their
	## configuration is correct.

override_dh_systemd_start:
	## Do not start services to match `dh_installinit --no-start`
	## behaviour.
	## Users are expected to "systemctl start" services once their
	## configuration is correct or after package updates.

override_dh_strip:
	dh_strip -pceph --dbg-package=ceph-dbg
	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg
	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
	dh_strip -prbd-fuse --dbg-package=rbd-fuse-dbg
	dh_strip -prbd-mirror --dbg-package=rbd-mirror-dbg
	dh_strip -prbd-nbd --dbg-package=rbd-nbd-dbg
	dh_strip -pceph-common --dbg-package=ceph-common-dbg
	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
	dh_strip -plibrados2 --dbg-package=librados2-dbg
	dh_strip -plibradosstriper1 --dbg-package=libradosstriper1-dbg
	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
	dh_strip -plibrgw2 --dbg-package=librgw2-dbg
	dh_strip -pradosgw --dbg-package=radosgw-dbg
	dh_strip -pceph-test --dbg-package=ceph-test-dbg
	dh_strip -plibcephfs-jni --dbg-package=libcephfs-jni-dbg

override_dh_makeshlibs:
	# exclude jni libraries in libcephfs-jni to avoid pointless ldconfig
	# calls in maintainer scripts; exclude private erasure-code plugins.
	dh_makeshlibs -V -X/usr/lib/jni -X/usr/lib/$(DEB_HOST_MULTIARCH)/ceph/erasure-code

override_dh_auto_test:

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
 http://ceph.com/download/ceph-(\d.*)\.tar\.gz

## ceph 10.2.2

=== src/spdk/lib/ioat/Makefile ===
#
#  BSD LICENSE
#
#  Copyright (c) Intel Corporation.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

SPDK_ROOT_DIR := $(CURDIR)/../..
include $(SPDK_ROOT_DIR)/mk/spdk.common.mk

CFLAGS += $(DPDK_INC) -include $(CONFIG_IOAT_IMPL)

C_SRCS = ioat.c

LIB = libspdk_ioat.a

all: $(LIB)

clean:
	$(CLEAN_C)

$(LIB): $(OBJS)
	$(LIB_C)

include $(SPDK_ROOT_DIR)/mk/spdk.deps.mk
